ros-melodic-cob-hardware-config (0.7.2-1bionic) bionic; urgency=high

  * Merge pull request #786 <https://github.com/ipa320/cob_robots/issues/786> from fmessmer/add_cob4-24
    [WIP] add cob4 24
  * Merge pull request #24 <https://github.com/ipa320/cob_robots/issues/24> from HannesBachter/add_cob4-24
    fix gripper
  * fix gripper can, driver, ...
  * fix velocity filter and costmap config
  * add cob4-24
  * Merge pull request #785 <https://github.com/ipa320/cob_robots/issues/785> from HannesBachter/calibrate_cob4-3
    correct typo for fl FDM
  * correct typo for fl FDM
  * Merge pull request #784 <https://github.com/ipa320/cob_robots/issues/784> from HannesBachter/calibrate_cob4-3
    Calibrate cob4 3
  * harmonize config appearance
  * calibrate cob4-3 base
  * Merge pull request #783 <https://github.com/ipa320/cob_robots/issues/783> from HannesBachter/update_cob4-3
    update cob4-3 to regular cob base
  * update cob4-3 to regular cob base
  * Contributors: Benjamin Maidel, Felix Messmer, fmessmer, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-cob-hardware-config (0.7.1-1bionic) bionic; urgency=high

  * Merge pull request #782 <https://github.com/ipa320/cob_robots/issues/782> from fmessmer/comment_ur_dependencies
    [Melodic] workaround missing dependencies
  * comment ur dependencies
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 09 Aug 2019 22:00:00 -0000

ros-melodic-cob-hardware-config (0.7.0-1bionic) bionic; urgency=high

  * Merge pull request #780 <https://github.com/ipa320/cob_robots/issues/780> from fmessmer/melodic_checks
    [Melodic] add melodic checks
  * added laser_filters prefix for melodic
  * fixed xacro:if condition for melodic
  * Merge pull request #779 <https://github.com/ipa320/cob_robots/issues/779> from HannesBachter/add_cob4-22
    add cob4-22
  * add cob4-22
  * Contributors: Felix Messmer, Florian Weisshardt, fmessmer, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Aug 2019 22:00:00 -0000

ros-melodic-cob-hardware-config (0.6.11-1bionic) bionic; urgency=high

  * Merge pull request #775 <https://github.com/ipa320/cob_robots/issues/775> from fmessmer/add_cob4-25
    add cob4-25
  * update rviz config cob4-25
  * additional flexisoft params
  * add cob4-25
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-melodic-cob-hardware-config (0.6.10-1bionic) bionic; urgency=high

  * Merge pull request #770 <https://github.com/ipa320/cob_robots/issues/770> from fmessmer/finalize_cob4-20
    finalize cob4-20 config
  * finalize cob4-20 config
  * Merge pull request #769 <https://github.com/ipa320/cob_robots/issues/769> from fmessmer/add_cob4-20
    add cob4-20 ipa 340
  * add cob4-20 ipa 340
  * Merge pull request #768 <https://github.com/ipa320/cob_robots/issues/768> from fmessmer/update_cob4-7
    setup new cob4-7
  * finalize config
  * enable d435 cameras
  * enable actuators
  * Merge pull request #765 <https://github.com/ipa320/cob_robots/issues/765> from fmessmer/update_paul_stuttgart
    Update paul stuttgart
  * update hostnames
  * update pc_monitor config
  * Contributors: Felix Messmer, Florian Weisshardt, fmessmer, ipa-foj

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-cob-hardware-config (0.6.9-1bionic) bionic; urgency=high

  * update maintainer
  * Merge pull request #761 <https://github.com/ipa320/cob_robots/issues/761> from ipa-fxm/cob4-7_mods
    cob4-7 without arms
  * cob4-7 without arms
  * Merge pull request #760 <https://github.com/ipa320/cob_robots/issues/760> from ipa-fxm/cob4-10_hw_upgrade
    cob4-10 hw upgrade
  * cob4-10 hw upgrade
  * Merge pull request #757 <https://github.com/ipa320/cob_robots/issues/757> from ipa-fxm/migrate_unity_structure
    simplify config structure
  * simplify config structure
  * Merge pull request #756 <https://github.com/ipa320/cob_robots/issues/756> from HannesBachter/add_cob4-13_cardiff
    changes for cob4-13
  * remove obsolete include
  * remove obsolete files
  * add cob4-cardiff
  * Merge pull request #747 <https://github.com/ipa320/cob_robots/issues/747> from ipa-fxm/add_cob4-13_cardiff
    add cob4-13 cardiff
  * Merge pull request #741 <https://github.com/ipa320/cob_robots/issues/741> from ipa-fxm/cob-uh_final
    [WIP] cob-uh final
  * Merge pull request #750 <https://github.com/ipa320/cob_robots/issues/750> from ipa-fxm/add_missing_components_cob4-18
    add light and em monitor
  * add light and em monitor
  * cob4-13 config fixes
  * Merge pull request #746 <https://github.com/ipa320/cob_robots/issues/746> from ipa-fxm/add_cob4-18_323
    add cob4-18 323
  * calibrate base cob4-18
  * tune pc_monitor thresholds
  * tune docking parameter
  * add grippers cob-uh
  * add arms cob-uh
  * calibrate base uh
  * add cob4-18 323
  * add cob4-13 cardiff
  * Contributors: Benjamin Maidel, Felix Messmer, Florian Weisshardt, cob4-13, fmessmer, ipa-fmw, ipa-fxm, mailto:robot@cob4-16

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-cob-hardware-config (0.6.8-1bionic) bionic; urgency=high

  * Merge pull request #744 <https://github.com/ipa320/cob_robots/issues/744> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #743 <https://github.com/ipa320/cob_robots/issues/743> from ipa-fxm/laser_range_filter
    introduce laser range filter
  * introduce laser range filter
  * Merge pull request #742 <https://github.com/ipa320/cob_robots/issues/742> from ipa-fxm/adjust_ntp_thresholds
    adjust ntp thresholds
  * adjust ntp thresholds
  * Merge pull request #739 <https://github.com/ipa320/cob_robots/issues/739> from ipa-rmb/wheel-update
    updated homing digital input for wheel
  * updated homing digital input for wheel
  * Merge pull request #736 <https://github.com/ipa320/cob_robots/issues/736> from ipa-fmw/calibrate_cob4-7_base
    calibrate cob4-7 base
  * calibrate cob4-7 base
  * Merge pull request #735 <https://github.com/ipa320/cob_robots/issues/735> from ipa-fxm/indigo_dev_rmb
    corrected torso definition
  * Added a clarifying comment which link is referred to
  * Merge pull request #733 <https://github.com/ipa320/cob_robots/issues/733> from ipa-fxm/add_cob4-16_uh
    add cob4-16 uh
  * corrected torso definition
  * add cob4-16 uh
  * Merge pull request #728 <https://github.com/ipa320/cob_robots/issues/728> from ipa-nhg/cob47-setup
    setup cob4-7
  * update URDF to static head and sensorring
  * setup cob4-7
  * Merge pull request #727 <https://github.com/ipa320/cob_robots/issues/727> from ipa-fxm/remove_use_old_joint_name
    remove obsolete use_old_joint_names argument
  * remove obsolete use_old_joint_names argument
  * Merge pull request #726 <https://github.com/ipa320/cob_robots/issues/726> from ipa-bnm/cob4-7-homing-offsets
    use homing offsets from cob4-2 for cob4-7
  * use homing offsets from cob4-2
  * Merge pull request #725 <https://github.com/ipa320/cob_robots/issues/725> from ipa-fmw/cob4-11_add_light
    add light to cob4-11
  * add light to cob4-11
  * Merge pull request #723 <https://github.com/ipa320/cob_robots/issues/723> from ipa-fxm/move_cob4-2
    move cob4-2 to unity-robotics
  * Merge pull request #722 <https://github.com/ipa320/cob_robots/issues/722> from ipa-mjp/uncomment_ur_arm
    uncomment ur arm
  * move cob4-2 to unity-robotics
  * Merge branch 'indigo_dev' of https://github.com/ipa320/cob_robots into correct_torso_param
  * uncomment ur_arm
  * Merge pull request #720 <https://github.com/ipa320/cob_robots/issues/720> from ipa-fxm/fix_camera_coord_frames
    fix camera coord frames for all cameras and all robots for hw and sim
  * Merge pull request #721 <https://github.com/ipa320/cob_robots/issues/721> from ipa-mjp/correct_torso_param
    Correct torso param
  * correct torso calibration param
  * fix head_cam mount position
  * fix image flip for 3dcs
  * consistency for all robots
  * fix frames for usb_camera and sick_3dcs
  * fix camera coord frames for asus and zr300 on cob4-7
  * finalize zr300 transformations
  * use zr300 for torso_right camera
  * Merge pull request #698 <https://github.com/ipa320/cob_robots/issues/698> from ipa-fxm/add_ntp_monitor
    add ntp monitor
  * proper error threshold
  * add ntp monitor
  * Merge pull request #708 <https://github.com/ipa320/cob_robots/issues/708> from ipa-fxm/feature/powerball_raw3-1
    Feature/powerball raw3 1
  * Merge pull request #707 <https://github.com/ipa320/cob_robots/issues/707> from ipa-fxm/update_maintainer
    update maintainer
  * Merge pull request #712 <https://github.com/ipa320/cob_robots/issues/712> from ipa-jba/feature/kinetic_raw
    single computer for raw, fix ports
  * ttyLED for LED
  * single computer for raw, fix ports
  * Merge pull request #709 <https://github.com/ipa320/cob_robots/issues/709> from ipa-nhg/cob4-10
    Full configuration cob4-10
  * harmonize configuration with current status
  * Merge pull request #711 <https://github.com/ipa320/cob_robots/issues/711> from ipa-bnm/fix/homing_offset
    reverted homing offsets for cob4-b7
  * reverted homing offsets for cob4-b7
  * unify arm driver configuration
  * Merge github.com:ipa320/cob_robots into indigo_dev
    Conflicts:
    cob_default_robot_config/robots/cob4-8/script_server/command_gui_buttons.yaml
  * Configuration for cob4-10
  * setup cob4-10
  * turn on twist control, corrected axis
  * actuate powerball via canopen
  * adjust urdf
  * remove unavailable components
  * Merge pull request #702 <https://github.com/ipa320/cob_robots/issues/702> from ipa-fez/feature/raw3-1-canopen
    Migrate raw3-1 base to canopen
  * setup cob4-10
  * update maintainer
  * Merge pull request #686 <https://github.com/ipa320/cob_robots/issues/686> from ipa-fxm/APACHE_license
    use license apache 2.0
  * Merge pull request #694 <https://github.com/ipa320/cob_robots/issues/694> from ipa-fxm/use_cob4_arm
    use cob4_arm description
  * Merge pull request #701 <https://github.com/ipa320/cob_robots/issues/701> from ipa-fxm/config_cob4-8_aalto
    some fixes cob4-8
  * some fixes cob4-8
  * Merge pull request #699 <https://github.com/ipa320/cob_robots/issues/699> from ipa-fxm/move_ur_arm
    move ur_arm to raw_description
  * fix direction of left side wheels
  * restore torso configs
  * adjust motor configs based on deleted inis
  * move ur_arm to raw_description
  * WIP migration to canopen
  * use cob4_arm description
  * use license apache 2.0
  * Contributors: Benjamin Maidel, Felix, Felix Messmer, Florian Weisshardt, Nadia Hammoudeh García, Richard Bormann, cob4-11, ipa-fmw, ipa-fxm, ipa-mjp, ipa-nhg, ipa-uhr-mk, raw3-1, mailto:rob@work robot

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-hardware-config (0.6.7-1bionic) bionic; urgency=high

  * Update teleop.yaml
  * add initial config for cob4-10
  * add initial cob4-11 serodi config
  * use cob4-b12 for paul-stuttgart
  * use cob4-b2 instead of cob4-b7 for paul-ingolstadt
  * cob4-8 setup
  * renamed sensorring camera
  * renamed sensorring camera
  * setup cob4-8
  * tune sensorring parameters for cob4-5 (kinect+sick sensor)
  * revert docking distance_tolerance introduced in https://github.com/ipa320/cob_robots/commit/814d3947bd4c01098f509db98e92acd9fb40aea3
  * update teleop config to init the head
  * reset pc monitors
  * reset hz monitor for cam3d
  * local changes from cob4-7
  * update cob4-5 setup
  * merge
  * invert right wheels and change ordering of config (needed after retuning and UM=2)
  * steer_ctrl param handling
  * final cleanup
  * canopen config for raw3-3 base
  * cleanup files
  * finalize cob4-9
  * remove obsolete scan_unifier parameter
  * Setup cob4-9
  * finalizing configs
  * added head for cob4-7
  * update cob4-5 configs
  * added joint_states for the head
  * added head for cob4-5
  * larger data_skip for simulation
  * pass camera settings to gazebo plugins
  * parameterizable usb_cam
  * added 10 Hz heartbeat to Schunk DCF
  * adjust pc_monitor
  * fxm change requests
  * fixed path
  * copy the rviz config file
  * fix identantion
  * rename display launch file
  * added a launch file to display a urdf.xacro model
  * remove obsolete files raw3-5
  * remove obsolete rviz displays
  * remove obsolete laser config files
  * separate laser scanner from base
  * fix typo
  * restructure cob_hardware_config
  * configuration via yaml file
  * Stomp planner (#631 <https://github.com/ipa320/cob_robots/issues/631>)
    * merged stomp configuration with actual indigo_dev
    * controllers for moveit namespace corrected
    * stomp configuration for raw3-1 created and tested
    * few corrections before pull request
    * twist controller config for raw3-1
    * changes from pull request
    * new change from pull request
    * whole-body planning group: robot
    * stomp configuration for robot group
    * pull request changes
    * stomp plannning yaml file correct group names
    * twist controller config file updated to include input limits parameters
    * finalizing PR
  * harmonize cob4-2 and cob4-7
  * unify tests
  * reduce station tolerance
  * cob4-7 hardware updates
  * renamed voltage_max to voltage_divider_factor
  * update cartesian controller parameters
  * disable head and sensorring for cob4-2
  * read current from Elmos, add it to base joint states
  * unified ros control base driver and controller config
  * update cob4-paul-stuttgart
  * remove cob4-10
  * speedup docking process
  * changed docker position
  * Revert "added stuck_detector to bringup"
    This reverts commit 8c06a19ff64510837c9f127e3dc2d121c143972e.
  * disable head
  * changed Impedance-Controller Parameter for roboter
  * Raw3 5 config for ros_canopen (#609 <https://github.com/ipa320/cob_robots/issues/609>)
    * Updated raw3-5 launch and description
    * changes for test raw3-5
    * config for raw 3-5 with ros_canopen
    * uncommenting code and optimizing neutral positions
    * delete .dae and .urdf for raw3-5
    * Cleanded files
    * changed diagnostics_analyzers to match with cob4 config
  * change u_max to meet the measured values
  * Update raw3-1.urdf.xacro
  * Update raw3-1.urdf.xacro
  * Update arm_controller.yaml
  * set light parameters
  * cleanup arm_controller
  * fix diagnostics
  * requested changes in pull request
  * gripper macro name changed and prefix removed as argument
  * make simulation work preliminarily
  * added vacuum gripper
  * adaptations to current configuration for order-picking
  * undid old files from ipa-rmb
  * update for raw3-1 torso driver configuration
  * added arm in bringup, corrected torso mounting angle
  * twist controller configuration for raw3-1
  * added arm joint limits file
  * Added controller for gazebo. Arm gripper removed
  * Arm uncommented to be added in the URDF file
  * do not specify num_cores for localhost
  * added stuck_detector to bringup
  * fixed camera down camera calibration for all robots
  * disabled head and sensorring
  * fixed camera down camera calibration
  * updated phidgets config for raw3-3
  * move gazebo_ros_control plugin
  * use xacro --inorder
  * remove cob4-2 leftover
  * remove cob4-1
  * fix cpu monitor
  * upgrade cob4-2
  * remove obsolete components and dependencies
  * remove unsupported robots - launch and config
  * Merge pull request #596 <https://github.com/ipa320/cob_robots/issues/596> from ipa-fmw/feature/bms_diagnostics
    enable bms in diagnostics
  * enable bms in diagnostics
  * activate 3dof head
  * adapt diagnostics
  * use latest xacro syntax
  * limit for pc monitors
  * new bms config
  * [WIP] Use grouped low level components for simulation (#583 <https://github.com/ipa320/cob_robots/issues/583>)
    * refactored generic canopen&config into canopen_generic.launch
    * refactored base driver+config into canopen_base.launch
    * added components/cob4_head_camera.launch
    * added components/cam3d_openni2.launch
    * added components/cam3d_r200_rgbd.launch
    * introduce sim arg for components
    * use sim arg in robot.xml
    * remove nodes started within robot.xml from default_controllers_robot.launch
    * introducing legacy components
    * reorganize and sim toggle for more components
    * adjust cob4-1 to latest changes
    * use new structure for cob3-2
    * use new structure for cob3-6
    * use new structure for cob3-9
    * use new structure for cob4-2
    * use new structure for remaining cob4s
    * travis fixes
    * syntax styling
    * use new structure for raws
    * more travis fixes
    * harmonize old vs. new behavior cob4-1
    * guarantee same hw behavior as before
    * add flip argument
  * use test_depends where applicable
  * use cob_supported_robots_ROBOTLIST in dependent packages
  * use additional sensorring argument
  * updated BMS config with StatusRegister bits
  * Merge pull request #565 <https://github.com/ipa320/cob_robots/issues/565> from ipa-fxm/separate_sensors_actors
    Separate sensors actors
  * remove moveit_config files from cob_hardware_config
  * upload semantic description using new moveit_config structure
  * cob4-10 fixes
  * manually fix changelog
  * use unified torso xacro
  * move sensors from torso xacro to robot xacro
  * use unified sensorring xacro
  * move sensors from sensorring xacro to robot xacro
  * use unified head xacro
  * move sensors from head xacro to robot xacro
  * fix self-collision for twist control with cob3-6
  * disable warning for wireless em stop bridged
  * update velocity smoother parameters
  * use same velocity smoother settings for all cob4
  * smooth acceleration after emergency stop
  * cleanup
  * setup cob4-10
  * cob4-7 setup: final test
  * fake monitoring for simulation to work with msh scenario
  * fix cob3-9 urdf
  * added vacuum gripper
  * adaptations to current configuration for order-picking
  * increase load threshold
  * added phidgets
  * undid old files from ipa-rmb
  * added arm in bringup, corrected torso mounting angle
  * increase load threshold
  * twist controller configuration for raw3-1
  * added arm joint limits file
  * Added controller for gazebo. Arm gripper removed
  * fix image_flip to be compatible with head_cam kinematic
  * simulation test
  * Arm uncommented to be added in the URDF file
  * Twist cartesian controller configuration files for cob3-6
  * Twist controller configuration files for cob3-6
  * realsense as default torso down camera
  * build torso with arms
  * Merge github.com:ipa320/cob_robots into indigo_dev
    Conflicts:
    cob_default_robot_behavior/CMakeLists.txt
  * missing image_flip confog for cob4-5
  * added head_cam frame to urdf
  * Set enable_sounf to false
  * setup cob4-7
  * update for raw3-1 torso driver configuration
  * Contributors: Andreea Tulbure, Benjamin Maidel, Bruno Brito, Felipe Garcia Lopez, Felix Messmer, Florian Weisshardt, Jannik Abbenseth, Mathias Lüdtke, Nadia Hammoudeh García, Richard Bormann, andreeatulbure, cob4-10, cob4-11, cob4-7, hannes, ipa-cob4-1, ipa-cob4-5, ipa-cob4-7, ipa-cob4-8, ipa-fmw, ipa-fxm, ipa-nhg, ipa-raw3-3, ipa-rmb, msh, robot

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 30 Jul 2017 22:00:00 -0000

ros-melodic-cob-hardware-config (0.6.6-1bionic) bionic; urgency=high

  * adapt to multi topic hz monitor
  * reduce network load by using camera info instead of image for hz monitors
  * enable sound fading for cob4-1
  * added sound config for fading
  * fix framerate setting for head cam
  * adapt phidget config to raw3-6
  * aggregate arm joint states
  * additional param files and modifications for raw3-6 ur10
  * added ur10 to raw3-6 urdf
  * fix cob homeing velocity sign
  * added configs for bringup
  * introduced param to set homing velocity
  * review cob4-5 simulation
  * increase error rate for hz monitor
  * increase velocity thresholds for safety fields
  * fix framerate for head cam
  * add diagnostics hz monitor to cob4-1 and cob4-2 for cameras
  * remove now unused reflector referencing config (is now in stations.yaml
  * unify docking configuration, now only one station config file per robot
  * fix powerstate full voltage
  * add image flip config for sensorring front and back
  * add image flip for tordo down camera for cob4-5
  * fix softlink
  * use imageflip with torso_cam3d_down camera
  * use docking on cob4-2
  * corrected empty voltage for cob
  * enable roslaunch check for cob_hardware_config
  * changed params
  * use powerstate from phidget node
  * move docking config and launch to cob_hardware_config and cob_bringup
  * made diagnostics consistent with command gui
  * review configuration files
  * use current values in joint states
  * do not turn back wheel after homing
  * include/configure stuck detector
  * read currents from Elmos
  * base calibration
  * ignore BMS entry for diagnostic_aggregator
  * calibration torso_3dcam_left
  * update rviz configuration
  * add grippers to teleop
  * remove torso from cob4-5
  * remove phidget from cob4-5
  * use common dcf
  * no homing for sensorring
  * fix light setting for cob4-5
  * fix color code for cyan
  * add arms and grippers to joint state aggregator
  * disable sound for battery monitor
  * comment bms in diagnostics
  * rename hand to gripper
  * add grippers to urdf
  * add grippers to urdf
  * Merge github.com:ipa-fmw/cob_robots into indigo_dev
    Conflicts:
    cob_hardware_config/cob4-2/config/battery_monitor.yaml
  * adapted num_leds for battery_monitor
  * enable light in battery monitor
  * make base move smoother
  * added arms, hands and cameras
  * disable head and sensorring for cob4-2
  * disable head and sensorring
  * move base smoother
  * fix diagnostics analyser
  * added realsense camera to cob4-1 description
  * create softlink instead of copy
  * added usb head cam launch file and added it to cob4 bringup
  * moved phidget config to cob4-2 and created softlink in cob4-1 config
  * added current to phidget config
  * added phidget config for cob4-1
  * changed params for new led ring
  * disabled battery monitor sound/light and emmonitor sound
  * Set enable sound false
  * never allow collissions for base/torso and torso/head
  * load srdf in upload_robot.launch
  * add SRDF to cob_hardware_config (initially empty)
  * add safe mode for teleop
  * tuned vel smoother params
  * robot test
  * add 3dof head to cob4-2
  * test Head 3dof
  * Migrated local_costmap_params.yaml to new layout
  * Removed obstacle_threshold as for now it's not really relevant
  * Removed topic parameter
  * Reverted test settings to previous values
  * added head controller files
  * Remove inflation_layer from costmap for collision_velocity_filter
  * removed arms and hands calibration
  * setup cob4-5
  * Changed raw3-3 config for new collision_velocity_filter
  * Intermediate state
  * add missing sound config files
  * use cepstral
  * load sound parameter from yaml file
  * use cepstral
  * load sound parameter from yaml file
  * reduce laser fiel of view to not see robot casing
  * add pc monitor config for h32
  * use base_controller values from ini file
  * prepare using robots with cartesian controller
  * Contributors: Benjamin Maidel, Florian Weisshardt, Mathias Lüdtke, Nadia Hammoudeh García, fmw-hb, ipa-cob3-9, ipa-cob4-2, ipa-cob4-4, ipa-cob4-5, ipa-cob4-6, ipa-fmw, ipa-fxm, ipa-nhg, msh

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-hardware-config (0.6.5-1bionic) bionic; urgency=high

  * use lowercase instead capital letters for the analyzers
  * cob4-6 has not base light
  * deleted unused parameter
  * added BMS to diagnostics
  * readded scanners yaml files
  * added bms driver to bringup
  * MLR actual version
  * remove joint_group_interpol_position_controller
  * enable velocity sensor for um2 mode
  * sort by priority
  * fix priority conflict
  * disable abortion checking as default
  * set old hardcoded default values in yaml for backwards compatibility
  * parameter name consistency
  * fix parameters
  * configurable battery thresholds
  * adjust launch and yamls
  * rename canopen node and adjust diagnostics
  * restructure canopen driver yamls and remove canX yamls
  * changed service name remap to component name param
  * further tests with torso
  * enable sound and light for teleop for cob4
  * apply torso updates to cob4-2 config
  * finalize symlinks
  * Update twist_mux_locks.yaml
  * Update twist_mux_locks.yaml
  * Merge pull request #429 <https://github.com/ipa320/cob_robots/issues/429> from ipa-fmw/feature/cob4-1
    comment head in cob4-1
  * use base_link as root
  * use JointGroupVelocityController for TwistController for Torso
  * cleanup teleop parameters (unused button parameters)
  * comment head config in teleop
  * comment head config in diagnostics analyzer
  * reduce deceleration factor
  * set lock priority for twistmux
  * use softlinks for most configs
  * delete unused base ini files (not used any more using canopen driver)
  * delete old and unused base velocity smoother config
  * Merge pull request #414 <https://github.com/ipa320/cob_robots/issues/414> from ipa-fmw/feature/cob4-1
    add 3dof head for cob4-1 within simulation only
  * update diagnostics analyzer
  * add new_base_chain config for cob4-1
  * canopen config for old cob4-2 base using new joint names
  * remove obsolete robot_modules.yaml files
  * remove head config from cob4-2
  * fix typo
  * add 3dof head for cob4-1 within simulation only
  * configure lookat offset
  * update cartesian parameters for torso
  * new serial for new phidget board + sensor naming for battery_light_monitor
  * added battery_light_monitor config
  * ros_canopen config for cob4-2 base
  * tf2 compatible frames
  * Revert some paramters
  * Revert some paramters
  * revert raw3-4 conf file
  * Merge remote-tracking branch 'origin/raw3-5_battery_voltage' into update_raw3-5
  * Merge branch 'indigo_dev' of github.com:iirob/cob_robots into indigo_dev
  * update diagnostics analyzer for cob4-6
  * update diagnostics analyzer for cob4-4
  * update diagnostics analyzer for cob4-3
  * updated rviz configuration
  * review image_flip parameters
  * New torso pcs
  * integrate twist_mux into base diagnostics for all robots
  * integrate twist_mux into base diagnostics
  * integrate twist_mux into base diagnostics
  * remove head and arms from teleop config
  * remove simulated diagnostics from analyzer
  * optimize parameter for torso cartesian controller
  * provide twist_mux topic for base_active mode of twist_controller
  * update cob4-3 according to lastest updates in cob_robots (twist_mux, vel_smoother, laser_topics)
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_robots into feature_cob4-1_without_arms
  * add missing scan_unifier_config.yaml file for cob3-9
  * rename laser scanner topics
  * rename laser scanner topics
  * set ramp parameter for all robots
  * adapt twist_mux topic names according to https://github.com/ipa320/orga/pull/1#issuecomment-159195427
  * velocity_smoother params adjustments (tested on raw3-3)
  * added additional parameter to velocity_smoother (decel_factor_safe) and dissabled teleops ramp
  * restructure laser topics
  * added collision_velocity_filter to twist_mux
  * adjusted velocity_smoother params on raw3-3
  * moved twist_mux config to common folder and added softlinks for robot specific config
  * use correct dcf file
  * changed teleop configs base command topic to new twist_mux topic
  * added velocity_smoother launch file and velocity_smoother configs for all robots
  * added twist_mux launch file and twist_mux configs for all robots
  * use correct pc names
  * do  not use velocity controllers for Elmo devices
  * use cob4-1 as cob4-2 without arms - copying configuration files
  * update cartesian controller configs
  * cartesian parameter updates for video shooting
  * remove obsolete mu
  * use STACK_OF_TASK as default
  * disable acceleration limiter as default
  * update limiter parameters
  * scan unifier config files missed
  * add scan_unifier for cob4-3
  * Update teleop.yaml
  * Update cob4-3.urdf.xacro
  * Updated test file, robot name wrong
  * added cob4-3
  * removed torso from robot_modules config
  * added scan unifier to bringup layer
  * added led offset param to torso light config
  * changed rplidar orientation
  * cleaned config files
  * cleaned up diagnostics analyzer config for raw3-3
  * corrected phidgets config for raw3-3
  * Merge pull request #349 <https://github.com/ipa320/cob_robots/issues/349> from ipa-nhg/sensorring
    [cob4-2] Sensorring with asus camera
  * remove lookat
  * remove obsolete parameter
  * added sensorring diagnostics
  * Adapt cob4-6 configuration
  * test sensorring cam3d on cob4-2
  * added kinect to sensorring
  * same base diagnostics analyzer params for all robs because base_drive_chain driver was fixed
  * cob4-4 and cob4-6 use ipa-mdl's base controller. This sends correct diagnostics
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_robots into fix/base_configuration
    Conflicts:
    cob_hardware_config/cob4-4/config/diagnostics_analyzers.yaml
  * Merge branch 'indigo_dev' of github.com:ipa-bnm/cob_robots into fix/base_configuration
  * removed comment
  * wrong parameter vel_from_device
  * addapt cob4-4 configuration
  * arm calibration
  * arm calibration and adapted the default positions
  * adapted diagnostic analyzers base path to new namespaces
  * adapted diagnostics analyzer to new base namespaces
  * add footprint parameters for all cob4s and unify config
  * changed base namespace from 'base_controller' to 'base' for cob4 and raw3
  * sync cob4-1 and cob4-2
  * use folded position as default
  * use action server light
  * using light service
  * added new behavior trigger services
  * renaming: hardware_interface to controller_interface
  * introducing joint_group_interpol_position_controller
  * add joint_group_interpol_position_controller
  * enable GPM with CA as default
  * base_compensation now selectable throuth kinematic_extension
  * renaming frame - link
  * parameterizable marker_scale
  * less strict abortion checking for actived publishHoldTwist
  * added white spaces
  * apply relevant parameter updates for cob4-1
  * cartessian controller updates cob4-2
  * exponential smoothing for velocities in torso joint_states
  * correct drive_modes for torso
  * updated cob_teleop and renamed behaviour package
  * new teleop node
  * calibration update
  * more parameter updates for cob4-2
  * fixed some warnings
  * Update gripper_driver.yaml
  * merge
  * emergency stop monitor parameters
  * fix for int16 overflow in vl mode
  * fix for int16 overflow in vl mode
  * Changed structure of self-collision yaml. Now only the components given here are considered for self-collision.
  * Added more links to ignore.
  * Corrected order and naming.
  * Made k_H smaller. Because adapted constraints.
  * Adapted launch and params.
  * cob_behaviour
  * added safety marker
  * added mlr rviz default configuration
  * last update
  * needed effort limits
  * setup cob4-4
  * cob4-4 setup
  * merge
  * merge
  * Merge branch 'indigo_dev' of github.com:ipa-nhg/cob_robots into indigo_dev
  * renamed torso urdfs
  * Updated data for raw3-5
  * Update footprint_observer_params.yaml
  * Merge pull request #1 <https://github.com/ipa320/cob_robots/issues/1> from ipa-nhg/indigo_dev
    update ipa320
  * right arm mount position and removed arm trajectories
  * Added config files
  * Raw3-5 phidgets is read properly, data calcualtion/remapping is corrected.
  * Changed path to pcan device
  * Corrected remapping and cleaned config file.
  * Contributors: Benjamin Maidel, Denis Štogl, Felix Messmer, Florian Weisshardt, Mathias Lüdtke, Nadia Hammoudeh García, bnm, ipa-bnm, ipa-cob3-9, ipa-cob4-2, ipa-cob4-4, ipa-fmw, ipa-fxm, ipa-fxm-mb, ipa-nhg

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-cob-hardware-config (0.6.4-1bionic) bionic; urgency=high

  * add marker_frame parameter to all light yamls
  * merge with 320
  * making 'sim_enabled' a launch argument
  * fixes for cob3-9
  * migrate to package format 2
  * remove trailing whitespaces
  * remove obsolete autogenerated mainpage.dox files
  * sort dependencies
  * revies dependencies
  * fix leading space
  * updates for cartesian_controller yaml
  * torso setup
  * torso setup
  * unify cob3-X config and launch
  * even better layout
  * cartesian_controller yaml updates
  * added rplidar sensor to raw3-3 urdf and bringup
  * Contributors: Florian Mirus, ipa-cob4-2, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 28 Aug 2015 22:00:00 -0000

ros-melodic-cob-hardware-config (0.6.3-1bionic) bionic; urgency=high

  * apply changes for cob3-2
  * allow laser calibration
  * remove unsupported calibration_rising
  * last update
  * install tags and scanners config
  * cob3-2 simulation test
  * small changes
  * setup cob3-2
  * update
  * added controllers
  * adapt cob3-2
  * adapt cob3-2
  * added cob3-2
  * new parameter layout for cartesian controller
  * updated rviz config for cob4
  * use center links for light marker
  * configure emergency_stop_monitor for all robots
  * configuration for light maker frame
  * cleanup diagnostics
  * joint diagnostics aggregator for light
  * diagnostics aggregator config for light
  * remove torso and sensorring (untill working properly
  * aggregated robot_state_publisher for all robots, fixed machine tag in launch files
  * pwm update for gripper right due to wrong joint direction
  * display jostick diagnostics correctly in IO group
  * add flexisoft to diagnostics
  * adapt flexisoft config for updated driver with diagnostics
  * Merge branch 'indigo_dev' of https://github.com/ipa-cob4-2/cob_robots into indigo_dev_cob4-2
  * add aggregating robot_state_publisher instead of one per component
  * use diagnostics for emergency_stop_monitor
  * remove sensorring from diagnostics
  * increase buffer of base_velocity_smoother
  * use new name for hwi_switch_gazebo_ros_control_plugin
  * renaming in cob_common
  * add 2dof torso to cob4-2 including all configuration files
  * merge
  * obey update time of 250us for synchronized PDOs
  * updated sensorring config
  * removed homing method paramterization
  * removed default home offset -> force overwrite on init if needed
  * use ring buffer for IP mode
  * switched to new mapping
  * set heartbeat to 100ms
  * added conditional EMCY cob id entry 0x1014
  * Update Schunk_0_63.dcf
    No homing for schunk
  * Update sensorring_driver.yaml
    Adds homing method for the sensorring
  * removed unnecessary file
  * added cob4-4
  * robot test
  * adjust cob4_base joint_names
  * jerky - jerk
  * updates from raw3-1 robot user
  * some consistency renaming
  * adjust diagnostic namespaces
  * merge conflict after cherry-picking image_flip updates
  * split up head_sensorring component
  * rename yaml file
  * add parameters for cob_joint_trajectory_controller
  * added placeholder files
  * restructure simulated tray_sensors
  * adjust image_flip launch and config files
  * beautify CMakeLists
  * added missing file
  * catkin_lint
  * unifying base_controller yamls
  * add missing parameters to reduce output
  * add gripper for cob4-1
  * update configs and launch file for cob4-6
  * update configs and launch file for raw3-6
  * update configs and launch file for raw3-5
  * update configs and launch file for raw3-4
  * update configs and launch file for raw3-3
  * update configs and launch file for raw3-2
  * update configs and launch file for raw3-1
  * update configs and launch file for cob4-2
  * update configs and launch file for cob4-1
  * update configs and launch file for cob3-6
  * update configs and launch file for cob3-6
  * adjust limits for base
  * enable sound for cob4-2 and emergency monitor
  * adapt light settings for all robots
  * add led_components parameter to emergency_stop monitor
  * testing new base control plugins with simulation
  * test new base controller plugin
  * more namespace adjustments for cob3-6 simulation
  * make cob3-6 work in indigo simulation using new namespace structure and fjt controllers only
  * more namespace adjustments for cob3-6 simulation
  * make cob3-6 work in indigo simulation using new namespace structure and fjt controllers only
  * add can0 config file
  * cob4-6 setup
  * Corrected suffixes
  * update cob4-2 urdf model
  * removed velocity_controller parameters
  * update cob4-2 config on real robot
  * cob4_gripper
  * cob4_gripper
  * Configures the Homing speed parameters for the base modules
  * Adds the dcf_overlay to the configuration file.
    This provides the possibility to change the homing method directly on the YAML file.
  * Fixes error on the HW mode for using the base on Velocity Mode
  * Adds the joint limits for the base
  * renamed joints
  * resolve conflicts
  * setup cob4-6
  * setup cob46
  * new schunk description structure
  * updates for twist controller parameter
  * new structure, lwa4p_extended_withour_base
  * cleanup parameters
  * updated schunk_lwa4d description
  * update cob3-9
  * merge with 320
  * setup cob3-9
  * fix cartesian controller parameters for arms
  * setup cob3-9
  * default damping parameters
  * added default damping parameters
  * spaces vs tabs
  * addapted diagnostics new ns and create a separated image_flip launch file
  * set interpolation perdiod to sync interval (10ms/100Hz)
  * Contributors: Florian Weisshardt, Mathias Lüdtke, Thiago de Freitas Oliveira Araujo, ipa-cob3-2, ipa-cob3-9, ipa-cob4-2, ipa-cob4-4, ipa-cob4-6, ipa-fmw, ipa-fxm, ipa-fxm-fm, ipa-nhg, thiagodefreitas

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-hardware-config (0.6.2-1bionic) bionic; urgency=high

  * add missing dep
  * Contributors: Florian Weisshardt

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Jan 2015 23:00:00 -0000

ros-melodic-cob-hardware-config (0.6.1-1bionic) bionic; urgency=high

  * merge
  * rename canopen launch files and fix roslaunch test errors
  * delete cob3-3
  * cleanup: cob4-1 with torso and head; cob4-2 without torso and head
  * cob3-9
  * setup cob3-9 simulation
  * setup cob3-9
  * cob3-9
  * set cores for toros pcs
  * add namespace for light launch file. needed for cob4-2
  * add namespace for light launch file. needed for cob4-2
  * led rule
  * config for gripper right
  * disable launch tests
  * set teleop config for cob4-2
  * Rename teleop_v1.yaml to teleop.yaml
  * test raw3-3
  * Finger configuration files
  * set default mode for light
  * merge
  * add phidget config for cob4-2
  * support for vel mode
  * Merge pull request #3 <https://github.com/ipa320/cob_robots/issues/3> from ipa-fmw/indigo_new_structure
    Indigo new structure
  * use static head and torso for cob4-2
  * fix arm mounting positions
  * add lookat components to cob4-2
  * new structure for cob4-1 and cob4-2
  * indigo_new_structure
  * adapt teleop to v2
  * delete desire
  * delete cob3-8
  * delete cob3-7
  * delete cob3-5
  * delete cob3-4
  * delete cob3-2
  * delete cob3-1
  * new ros_canopen driver version, adapted bringup configuration
  * Adds light configuration for cob4-2
  * new parameter files
  * added pc monitor config files for cob4-1
  * Contributors: Florian Weisshardt, ipa-cob3-9, ipa-cob4-1, ipa-cob4-2, ipa-fmw, ipa-fxm, ipa-nhg, thiagodefreitas

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 14 Dec 2014 23:00:00 -0000

ros-melodic-cob-hardware-config (0.6.0-1bionic) bionic; urgency=high

  * setup cob4-2
  * fix laser inversion
  * update parameters for cob4-1 + cob4-2
  * update parameters for cob4-1 + cob4-2
  * updated parameters and launch files, modified adapter for switching
  * merge wih ipa-fxm
  * parameterization for frame_tracker and interactive_frame_target
  * use interactive_target also for non-lookat twist_control
  * moved frame_tracker to separate package
  * tune lookat_controller for cob4_torso
  * use VelocityJointInterface for cob4_torso
  * updated parameters and launch files, modified adapter for switching
  * merge wih ipa-fxm
  * parameterization for frame_tracker and interactive_frame_target
  * use interactive_target also for non-lookat twist_control
  * moved frame_tracker to separate package
  * tune lookat_controller for cob4_torso
  * use VelocityJointInterface for cob4_torso
  * Contributors: Felix Messmer, ipa-fxm, ipa-fxm-fm, ipa-nhg

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 17 Sep 2014 22:00:00 -0000

ros-melodic-cob-hardware-config (0.5.4-1bionic) bionic; urgency=high

  * move EmergencyStopState.msg to cob_msgs
  * remove obsolete cob_hwboard
  * inverted scanners
  * consequently remove lookat and hybrid stuff from cob3-X robots
  * calibration error
  * Merge pull request #209 <https://github.com/ipa320/cob_robots/issues/209> from ipa-nhg/hydro_dev
    Inverted scanners
  * Update calibration_default.urdf.xacro
  * Update calibration_default.urdf.xacro
    back to CAD values
  * separated ports for tray and torso
  * Last update cob3-8
  * beautify
  * Merge branch 'hydro_dev' of https://github.com/ipa320/cob_robots into hydro_dev
  * setup cob3-8
  * cob3-8 setup
  * no chance for tuning PID for follow_joint_trajectory controller for lwa4p -> currently do not use arms in urdf
  * previous value makes torso collide with base
  * Inverted scanners
  * Merge branch 'hydro_dev' of github.com:ipa320/cob_robots into hydro_dev
  * beautify
  * add all joints again
  * offset error
  * Undo calibration
  * use the  macros instead 3.1415...
  * added comment to head.yaml files
  * added namespace diagnostics
  * switch laser orientation for all robots
  * fix safey scanner fields
  * set default flexisoft safety velocity limits
  * adjusted diagnostics parameters and renamed gripper_controller
  * renamed pg70
  * adapted gazebo controllers
  * setup cob3-8 : The arm is lwa4d
  * setup cob3-8
  * corrected value due to inclusion of PRL100 in lwa4p_extended model
  * moved lookat_controller yaml and launch files
  * fix dependencies
  * cleaning up debs
  * use new X_driver.yaml format for all robots with canopen components
  * fix service namespace
  * new layout for X_driver.yaml file, solves module_ids issue
  * cob3-8 has pg70 as gripper
  * added classname as suggested in deprecation warning
  * separate controller and driver yaml file
  * cob3-8 with new structure
  * merge conflict
  * rename head description
  * Added cob3-8
  * fix dependencies
  * cleaning up debs
  * config changed
  * use prace_tower instad of tower_symmetric
  * config for ms35 light controller
  * Retabbing properties
  * Retabbing calibration
  * multiple config changes for raw3-4
  * switched digital ports for grippers
  * changes due to renaming and parameter optimization
  * bring latest raw3-3 changes to new structure
  * Added cob_image_flip driver
  * added calibration stuff for torso powerball
  * added torso powerball to robot config
  * renaming after merge
  * some renaming as discussed
  * remove parameter for gazebo_adapter from cob_hardware_config
  * separation of driver and controller
  * add cob4-2
  * merged prace descriptions into one xacro makro
  * Merge branch 'hydro_dev' of github.com:ipa320/cob_robots into hydro_dev
  * added voltage ctrl yaml for raw3-3
  * Merge pull request #178 <https://github.com/ipa320/cob_robots/issues/178> from ipa-nhg/hydro_dev
    Inverted scanners position
  * merge with hydro_control for new file structure
  * merge prace
  * Taking the real value for scanners position
  * Inverted scanners position
  * test and tweak head and lookat control for raw3-3
  * Merge branch 'hydro_dev' of github.com:ipa320/cob_robots into hydro_dev
  * added new longer/higher neck
  * merge with ipa320
  * merge with prace updates
  * Merge branch 'prace_dev' of github.com:ipa-fxm/cob_robots into prace_changes
  * add gazebo_services for lookat for cob4-1
  * lookat component for cob4-1
  * changed marker type
  * increased angular threshold
  * changes due to renaming from sdh to gripper and generic gazebo_services
  * updated laser fields to improve transition behaviour
  * New maintainer
  * updated flexisoft config
  * added laser field configs for cob4-1
  * cob4 fake diagnistics
  * cleaning up
  * Merge branch 'hydro_dev' of github.com:ipa320/cob_robots into hydro_control
  * vel_control and lookat_control with raw3-3
  * Merge remote-tracking branch 'origin/groovy_dev' into merge_groovy-dev
    Conflicts:
    CMakeLists.txt
    cob_bringup/robots/cob4-1.xml
    cob_controller_configuration_gazebo/controller/torso_controller_cob4.yaml
    cob_hardware_config/cob4-1/urdf/calibration_default.urdf.xacro
    cob_hardware_config/common/cob4.rviz
    cob_hardware_config/raw3-3/urdf/raw3-3.urdf.xacro
  * changes on raw3-3 to get the powerball tracking running
  * restructuring for hybrid_control
  * softkinetic cameras mount (including camera pillar) on raw3-1
  * merged groovy changes into hydro
  * Torso  and head working
  * twist controller params in yaml + parameter tuning with arms
  * added parameters for enabling and disabling sound and led's in cob_monitor
  * Torso working
  * back to torso-only
  * preliminary vel control for schunk lwa4p
  * preliminary velocity_control for head and sensorring
  * integrated advanced led feedback into cob_monitor, old behaviour still working
  * added rfid urdf in hydro
  * tune parameter for cob4-1_torso-only vel control
  * support powerball head axis on raw3-3
  * try vel controller for cob4-1 torso
  * separate yaml file for cob_trajector_controller params
  * flexisofft tested on robot
  * Flexisoft launch and config files
  * Changes for the multiple chains node!
  * add roslaunch and urdf tests
  * merge cob4
  * setup cob4-1 xml
  * Added sensors to cob4 description
  * added calibration data for raw3-3s head
  * added gazebo controller for prace head
  * merge
  * Defined component_name as generic name (arm)
  * clean up
  * added rfid reader on raw31 in raw3-1.urdf.xacro
  * fix filename
  * default positions for cob4-1
  * specific rviz configuration pro robot
  * Contributors: Alexander Bubeck, Felipe Garcia Lopez, Felix Messmer, Florian Weisshardt, Mathias Lüdtke, Nadia Hammoudeh García, abubeck, cob4-1, ipa-bnm, ipa-cob3-8, ipa-cob4-1, ipa-fmw, ipa-fxm, ipa-nhg, ipa-raw3-3, ipa-srd, raw3-1 administrator, thiagodefreitas

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 27 Aug 2014 22:00:00 -0000

ros-melodic-cob-hardware-config (0.5.3-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 27 Mar 2014 23:00:00 -0000

ros-melodic-cob-hardware-config (0.5.2-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 26 Mar 2014 23:00:00 -0000

ros-melodic-cob-hardware-config (0.5.1-1bionic) bionic; urgency=high

  * fix desire dual sdh
  * set fixed frame to base_link
  * fix rviz soft links
  * move rviz config to robot folder
  * adjust rviz config
  * renamed phidgets.lauch to tray_sensors.launch and added launch and config files for real phidget driver
  * base is at pcan0 connected
  * fixes while testing in simulation
  * update xacro file format
  * merge with groovy_dev_cob4 + use hydro configurations for controller
  * updates for raw3-1
  * addedd missing light parameters
  * added missing epsilon parameter
  * renamed canopen files
  * Tested on simulation
  * New cob_controller_configuration_gazebo structure
  * Merge pull request #141 <https://github.com/ipa320/cob_robots/issues/141> from ipa-bnm/fix/raw3-3_bringup
    raw3-3 bringup fixes
  * Rename scanners rules
  * gazebo controllers for cob4
  * New structure cob repositories (cob_controller_configuration_gazebo)
  * type error fixed
  * New struture for cob repositories
  * tested on robot
  * cob4 integration
  * Merge branch 'groovy_dev' of https://github.com/ipa320/cob_robots into fix/raw3-3_bringup
  * removed unused file
  * changed encoder counts
  * added laserscanners to launch file and added frida to raw3-3 urdf
  * added camera holder
  * removed a lot of code related to packages not available in hydro anymore
  * New cob3-3 calibration
  * remove offsets for torso
  * removing cob3-5b
  * Merge pull request #9 <https://github.com/ipa320/cob_robots/issues/9> from ipa-fxm/groovy_dev
    bring groovy updates to hydro
  * Updated urdf of raw3-1 in cob_hardware_config regarding latest IMU-brick mount on raw3-1
  * setup tray configutarion
  * Fixed tray powerball
  * cob3-6 update
  * update cob3-6 config
  * adapt calibration
  * Fix tray powerball positions
  * fix diagnostics and cob3-5b launch
  * fixed little number mistake
  * added vacuum cleaner launch files
  * setup for lwa4d arm on cob3-5b, correction of calibration entries in cob3-5
  * copied cob3-5 default config to cob3-5b
  * added cob3-5b and adjusted default calibration of cob3-5 to good values
  * added teachin handle link
  * fix default ref vaues for cob3-5
  * update xmlns + beautifying
  * bring in groovy updates
  * beautifying + slight changes in lookat component
  * harmonize with cob structure
  * add lookat to all cobs + some fixes in calibration values
  * fixing names for cob3-5
  * adjust config for cob3-7
  * fixed naming error + update structure for all raw's
  * 3DOF Tray for cob3-5
  * Merge branch 'stable' of github.com:ipa-fmw-ja/cob_robots into lookat
  * add lookat component to cob3-3
  * cob3-7 new structure with new values
  * updated values for cob3-7
  * merge with ipa320-groovy_dev
  * changes for simulation
  * merge 320 with ja
  * cam_reference and cam_l differ
  * component macro deleted. not supported by xacro
  * new better default calibration
  * merge
  * Renamed ur_connector
  * ur_connector launch and yaml files
  * canopen launch and yaml files for torso and tray
  * Update cob3-7
  * merge with uncommited local_robot
  * Update cob3-7
  * offset of lbr in calibration
  * had to flip the laser scans for new udev script
  * merge with canopen
  * yaml files for canopen components
  * merge ipa320/groovy_dev
  * Merge branch 'groovy_dev' of https://github.com/ipa-cob3-7/cob_robots into groovy_dev
  * Merge branch 'groovy_dev' of https://github.com/ipa-cob3-7/cob_robots into groovy_dev
  * update cob3-7
  * update cob3-7
  * Updated Can configuration for raw3-5.
  * Updated lasers configuration for raw3-5.
  * move raw calibration
  * moved default calibration
  * Solved xacro warning in hydro.
  * consider left and right arm inside dynamic footprint
  * changed homeing switch port for one elmo
  * base is connected on pcan0
  * attached boxgripper to ee_link
  * prosilica config
  * added right camera and pc aggregators
  * removed wifi monitor and mounted ur10 on robot again, not tested in gazebo yet
  * changed prosilica parameters for faster image processing
  * Merge branch 'groovy_dev' of github.com:ipa-bnm/cob_robots into groovy_dev
  * encoder offsets
  * changed homeingdigin port for steer3 because default port on elmo is broken
  * fixed yaml file syntax error
  * changed urdfs to new base_long and base_short structure, cleaned up all raw's
  * change to ur_description
  * Merge branch 'review320_catkin' into hydro_dev
  * Merge branch 'groovy_dev' of github.com:ipa320/cob_robots into review320_catkin
  * modifications for new controller stucture, this is not working yet
  * add parameters timeout for undercarriage_ctrl and min_input_rate for cob_base_velocity_smoother
  * cleanup
  * New launch files for PRL+ 80 , torso and tray
  * cleaup
  * Installation stuff
  * extend tests to cob3-7, raw3-5 and raw3-6
  * Merged with now rostest catkin looping, which Florian put upstream
  * fix launch tests
  * add roslaunch tests
  * separate sim launch files and enable diagnostics for sim
  * remove deprecated relayboard parameters
  * Initial catkinization.
  * update voltage foilters
  * update rviz config
  * update on cob3-5
  * update for cob3-4
  * flipped directories
  * temporary fix for calibration_data
  * moved default calibration to cob_hardware_config for cob3-3
  * deleted files
  * Parameters and launch files for cob3-7
  * New platform dimensions
  * New offsets
  * disabled failing tests
  * New diagnostics analyzers parameters for desire
  * fix cob3-5 urdf for head
  * fix powerball launch file for tray
  * add tray sensors to cob3-5 and rename phidgets.yaml to tray_sensors.yaml
  * remove deprecated rviz config
  * fix frame_ids for cameras
  * adapt sdh config to driver update
  * added canopenmaster config file
  * Merge branch 'groovy_dev' of github.com:ipa-cob3-5/cob_robots into groovy_dev
  * Added powerball tray
  * fixes for cob3-3
  * add voltage filter to each robot
  * Yaml file for the voltage filter
  * merge origin320
  * laser configs
  * platform ctrl offset
  * remove tray and dsa from diagnostics
  * adjust tray sensors for cob3-6
  * Update rviz config
  * Groovy- add rviz configuration
  * added adapter plate for frida
  * Merge branch 'automerge' into electric_dev
  * replace all hardcoded mounting values with respective macros in cob_calibration_data
  * replace all hardcoded mounting values with respective macros in cob_calibration_data
  * mrege
  * new tower description
  * new tower description
  * some fixes in urdf.xacro for raw3-1
  * adapted platform dimensions
  * removed gripper
  * clean up code
  * Merge branch 'groovy_dev' of git://github.com/ipa-raw3-1/cob_robots into groovy_dev
  * modifications for icra2013
  * encoder offsets for raw3-6
  * fixed number of pc cores
  * added new robot raw3-6
  * added pc_monitor yaml for raw3-5
  * Merge pull request #73 <https://github.com/ipa320/cob_robots/issues/73> from ipa-nhg/groovy_dev
    Added ur10 to raw3-1 urdf model
  * changes for icra
  * adapted raw3-5s platform ctrl ini
  * modified footprint dimensions
  * use urdf from short base
  * modified footprint observer params for raw3-5
  * proper laserscanner configuration for lms100
  * adapted diagnostics_analyzers config
  * torso mount position can now be parameterized within calibration_data
  * added raw3-5
  * rename dependency to ur_
  * fixed gripper position
  * Merge branch 'groovy_dev' of https://github.com/ipa-bnm/cob_robots into groovy_dev
  * calibration data for arm mount position
  * Adjustments to the voltage filter
  * ur5_driver -> ur_driver; ur5_description -> ur_description
  * fixed raw3-1s teleop config
  * fixed raw3-1s teleop config
  * Merge branch 'groovy_dev' of github.com:ipa320/cob_robots
  * Analyzer mods
  * merge
  * switched from ur5 to ur10
  * Added ur10 from univeral_robot package to raw3-1 description
  * add parameter publish_frequency to scanner yaml files; remove swp file
  * new parameters for light configuration
  * Updated .xml files in Groovy
  * Merge pull request #67 <https://github.com/ipa320/cob_robots/issues/67> from ipa-fmw/master
    add diagnostics to sound and rename launch files
  * Merge pull request #69 <https://github.com/ipa320/cob_robots/issues/69> from ipa-fmw/master
    add diagnostics to sound and rename launch files
  * add sound to diagnostics
  * no arm_ee_link in frida_description
  * Merge branch 'master' into merge
  * remove --cov
  * Added ur10 to raw3-1 urdf model
  * parameter updates for all robots after velocity_smoother-rework
  * modified raw3-3s light paramas
  * increase circumscribed_threshold for collision velocity filter
  * add dsa diagnostics
  * separate sdh launch
  * changed diagnostic analyzers config, so that diagnostics work together with abb frida on raw3-3
  * readded boxgripper on raw3-1 description
  * changed raw3-3 description and configs for abb frida
  * Revert "removed old packages"
    This reverts commit 23901cb1317a8ae8d477d22ad80f8efd986d9eae.
  * removed old packages
  * Merge branch 'stable'
  * new reference for head due to change in cob_common
  * merge
  * Included Schunk colors in robot descriptions
  * LWA in movevel mode
  * head mount calibration
  * set horizon of tray back to default
  * force velocity mode to have a smooth motion
  * change port of led board
  * add raw3-3 and raw3-4 to brinup tests
  * update cob3-1 urdf
  * adapt arm configurations for cob3-5
  * fixed order of sdh joint names
  * fixed shaky tray movement by reducing the horizon parameter
  * changed back previous changes
  * adapt head parameters for cob3-1
  * Merge remote branch 'origin-ipa320/master' into automerge
  * fixed direction of translation for head link. due to last commit
  * update horizon parameter of the tray
  * using powerball tray for cob3-6
  * update hardware parameters for cob3-1 and ros fuerte
  * add collision marker and interactive teleop
  * using movestep for lwa
  * remove swap file
  * fix raw urdf
  * use ttyTact for cob3-6
  * changed reference for "head"
    from "torso_upper_neck_tilt_link"
    to "head_cover_link" for cob3-3 and cob3-6 only
  * added inversion flag to raw3-1s light hardware configuration
  * Revert "added inversion flag to light hardware configuration"
    This reverts commit f65c326ed3e1bcec9a2f310e0d6bfe6de0ee8fda.
  * assigned ttyScanX to scanners
  * added raw3-3 to urdf tests
  * added inversion flag to light hardware configuration
  * Added kinect
  * prepared DSA config for cob3-6
  * added canopenmaster.yaml
  * changes to include tray_powerball
  * enable tactile sensors for cob3-3-
  * add config for emergency and battery monitor
  * remove test file
  * separate monitoring
  * use move_vel for torso
  * comment out wifi monitor
  * add monitoring to cob3-3
  * hwboard updated
  * updated hwboard
  * raw3-1 base calibrated
  * added hwboard
  * raw3-4 settings
  * Updated urdf file for cob3-6
  * Urdf and parameter files for tray_powerball
  * modified/corrected raw3-1 urdf description
  * added amadeus box gripper to raw3-1 urdf description
  * added cob_voltage_control to bringup
  * added launch files for battery board
  * settings for raw3-4
  * add config for raw3-1 pc monitors
  * fixes for raw3-1 config
  * changed position of manipulator from back to front
  * changed LED device
  * changed torso naming to raw
  * merge with ipa320
  * add hokuyo config for scan filter
  * support torso names in joystick, add prefix to ur5
  * new pc names on raw3-1 and working torso config for new urdf
  * robot specific changes for raw3-1
  * config for cob3-1 simulation
  * change desire arm_left and arm_right
  * Deleted tactile sensor port parameter in the configuration cob3-6
  * update to corei7 cob3-3-pc1
  * warning for no ROBOT or ROBOT_ENV set
  * move light to pc1
  * light config for cob3-3
  * substitute env ROBOT with arg robot
  * harmonize schunk configuration
  * New calibration data for torso and tray cob3-4
  * adapt laser range
  * added torso
  * fixed name of xacro macro for raw base
  * extend error_range
  * removed old arm_ur model
  * extend error range
  * config for torso and tray on cob3-2
  * extend error range for tray
  * use movevel for lwa
  * force using moveVel
  * base calibration for cob3-6
  * adapted raw_torso files
  * final raw-model V2
  * add pc monitor config for all robots
  * adjust pc_monitor diagnostics for different cores
  * base calibration copied from cob3-5
  * config update for cob3-6
  * changed can slots on cob3-2
  * working parameters for powercube_chain on cob3-5
  * added dummy phidgets config
  * update config
  * config for cob3-5
  * Added kinect.launch in cob3-2.xml
  * removed wrong launch file
  * config for torso, head and lwa
  * base calibration
  * removed tray, head, sdh config for raw3-1
  * removed tray, head, sdh config for raw3-3
  * updated base_velocity_smoother_params.yaml files for cob3-1 to cob3-6, desire and raw3-1 and raw3-2
  * Merge branch 'review-ipa320'
  * updated camera parameter files for cob3-4
  * updated camera parameter files for cob3-5
  * updated camera parameter files for cob3-2 and cob3-6
  * remove calibration files
  * camera settings for cob3-2, cob3-4, cob3-5 and cob3-6
  * decreased the target frame rate of camera pair to reduce warnings caused by dropped frames
  * add tests for cob3-5
  * add hardware config for cob3-5
  * added pkg_hardware_config, pkg_robot_config and pkg_env_config args to launch files in cob_robots
  * added pkg_hardware_config, pkg_robot_config and pkg_env_config args to launch files in bringup
  * introducing raw3-3 with frida_arm
  * introducing raw3-3 with frida_arm
  * clean raw3-1 hardware_config
  * final raw-model
  * ModuleTypes parameter removed, because not used anymore.
  * updates for cob3-2
  * adjust tests for cob32
  * lights for cob3-6
  * adjust diagnostics parameters
  * fix desire arm joint names
  * add tray links to footprint observer
  * remove param farthest_frame from footprint_observer
  * add tray links
  * Merge branch 'master' of github.com:ipa-fmw/cob_robots
  * update manifest
  * update stack
  * move calibration data to new cob_calibration_data stack
  * new torso ref position
  * add light by default
  * urdf test for desire
  * New configuration parameters and calibration  for cob3-2
  * new calibration for cob3-3
  * Fixed merge conflict
  * Setup cob3-6 calibration
  * Updated desire config files
  * Setup xml file for desire
  * Desire config files
  * add basic config and tests for cob3-1
  * sdh hardware configuration parameters
  * lwa configuration parameters for cob3-6
  * wifi diagnostics monitor
  * Desire configuration parameters
  * rename torso joints of raw3-1
  * merge
  * Merge branch 'master' of github.com:ipa-fmw/cob_robots
  * cob3-6 calibration parameters
  * cob3-6 bringup file update
  * cob3-6 cob_hardware_config update
  * add default rviz config
  * add controllers for cob3-6
  * add config for vel smoother for cob3-6
  * add config for vel smoother for cob3-6
  * add config for vel smoother for cob3-6
  * add tests for cob3-6
  * MErge conflict
  * Light config
  * integration of base_velocity_smoother_param.yaml files and update of base.launch
  * Hardware config files for cob3-6
  * finished raw3-1 model --- V1
  * update deps
  * apply bringup launch changes to all robots
  * urdf test file for raw3-2
  * restructure bringup launch files to use args --> better testing possible, needs to be tested on hardware
  * changes before shipping raw3-1
  * add ur5_description dep
  * move camera ip adresses to hardware config
  * merged with ipa320
  * first version of raw3-2 config
  * calibration by richard
  * use old arm model
  * Merge branch 'master' of git://github.com/abubeck/cob_robots into review-abubeck
  * small modifications for raw
  * merge with abubeck
  * modifications for raw3-1
  * changed for cameras on raw3
  * almost final raw3-1 hardware setup
  * reduced teleop config
  * modifications for new universal robot driver
  * add cpu diagnostics
  * modifications for upstream ur5_description
  * add raw3-1 specific collision_velocity_filter_params, footprint_observer_params, local_costmap_params
  * add missing dependencies and update stack.xml
  * move launch and config files to cob_robots
  * new torso calibration
  * commit hardware configuration files for cob3-2
  * add empty light.yaml for cbo3-4 to fulffill tests
  * fix typo
  * fix urdf
  * small tuning for gazebo
  * urdf structure change: tray can be calibrated now
  * config files for light in cob_hardware_config
  * changed direction of urdf model to new convention
  * Merge branch 'master' of github.com:ipa320/cob_robots
  * new torso calibration
  * modifications on robot with ur5 arm
  * configurations from raw3-1 robot
  * add some configuration for cob3-1
  * add test for cob3-2
  * adapt roslaunch checks
  * add calibration for base lasers
  * fix for raw
  * Merge branch 'master' of github.com:ipa-fmw/cob_robots
  * new calibration
  * Merge branch 'master' of github.com:ipa-fmw/cob_robots
  * using calibration for laser scanners
  * new calibration
  * renamed icob to raw and merged and cleaned up lots of things
  * remove swp file
  * again new calibration and moved frequency paramter to controller parameters
  * Merge branch 'master' of github.com:ipa320/cob_robots
  * chancge speed paraemters
  * new calibration for torso
  * updated tray config for smoother movements
  * new calibration for cameras
  * teleop with safe base movements
  * load new calibration structure for cob3-4
  * cob3-2 with schunk lwa
  * cob3-2 update, calibration and urdf file
  * cob3-2 updates
  * merged with upstream version, deleted a lot of unnecessary stuff
  * changed robot/name from cob3-3 to cob3_3 due to cob3_3_arm_navigation requirements
  * fixed false macro name
  * example config for lwa
  * fixed laserscanner for icob
  * add calibration files to cob3-4, still uncalibrated
  * add laser config for icob
  * fix icob urdf
  * add tests for cob3-4
  * new calibration
  * missing files
  * restructured icob_description
  * icob robot config
  * calibrated and verified
  * moved camera calibration yaml files from config to calibration folder
  * moved sdh up by 1.2cm to correct mount position
  * default robot calibration added
  * new files for icob for new repository structure
  * tosro urdf change: moved head axis up (as in cad)
  * torso and arm origins are calibratable in calibration.urdf.xacro
  * torso calibrated straight with all zero joint angles
  * camera handyed/stereo calibration adjusted to zero offset in head_v3 change
  * setup cob3-4
  * cob_scan filter: using multiple scan_ranges given in RAD
  * cob_scan_filter
  * changed default trigger freq for left camera again
  * calibrated for experimentation days
  * stereo calibration of left and right prosilica
  * parameters for left and right prosilica camera separeted from intrinsics calibration
  * added lbr stuff to diagnostics
  * sick_s300: introduced scan_cycle_time
  * changed default trigger freq for left camera, added sensor information to dashboard
  * Merge remote branch 'origin/master'
  * changed lbr config
  * sick_s300: changed laser_frequency to scan_duration
  * sick_s300: added laser frequency in yaml
  * sick_s300 yaml files to be used with new scan-filter
  * changed name of cob_dashboard to cob_commmand_gui
  * commented out some not working diagnostics and modified the Actuator analyzers
  * change to python test
  * lbr working on robot again
  * add dep
  * added launch tests
  * updated calibration
  * modifications for tray and torso config to support new powercube chain structure
  * added lbr launch files
  * base and teleop running
  * added camera config
  * fix rostest
  * added teleop and diagnostics
  * launch file for cob3-3
  * remove deprecated launch file
  * update stack
  * moved cob_config to cob_hardware_config
  * update hardware config
  * Contributors: Alexander Bubeck, Denis Štogl, Felipe Garcia Lopez, Florian Weißhardt, Jannik Abbenseth, Joshua Hampp, Lucian Cucu, Nadia Hammoudeh García, Richard Bormann, SimonEbner, Thiago de Freitas, abubeck, calibration, cob3-1-pc1, cob3-2 admin, cob3-5, cpc-pk, ipa-bnm, ipa-cob3-3, ipa-cob3-4, ipa-cob3-5, ipa-cob3-6, ipa-cob3-7, ipa-fmw, ipa-fmw-ms, ipa-fmw-sh, ipa-frm, ipa-fxm, ipa-goa, ipa-mdl, ipa-mig, ipa-nhg, ipa-raw3-3, ipa-tys, ipa-uhr-eh, ipa-uhr-fm, ipa320, ipa320-cob3-6, mig, nhg-ipa, raw3-1 administrator, robot

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 19 Mar 2014 23:00:00 -0000


